
VIRTUAL CREDIT CARD - Bug #16003

BE [Treats] Return empty response when the loyalty id is invalid, and Alpabit return error 401 more

than 10 times

16 March 2023 10:54 AM - hsulynn pang

Status: Closed Start date: 16 March 2023

Priority: Normal Due date:  

Assignee: hsulynn pang % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Actual result: Return empty response in /getLoyaltyId when the token is invalid, and Alpabit return error 401 more than 10 times

Expected result: Return error in /getLoyaltyId when the token is invalid, and Alpabit return error 401 more than 10 times

Attached response from Alpabit

16-03-2023 09:34:52 [http-nio-7204-exec-5] ERROR com.maybank.cc.Services.impl.MaybankTreats - callAuth ->

response

feign.FeignException$Unauthorized: [401 Unauthorized] during [POST] to [http://10.235.82.36:8086/api/v2/system/front/auth]

[ITreatsServiceProxy#feAuth(Map,AuthDomainRequest)]: []

History

#1 - 16 March 2023 06:20 PM - Imran Abdulhadi

- Status changed from New to Resolved

- Assignee changed from Imran Abdulhadi to hsulynn pang

- % Done changed from 0 to 100

done

#2 - 17 March 2023 02:29 PM - hsulynn pang

- File test error.png added

#3 - 17 March 2023 02:30 PM - hsulynn pang

Overview ***

URL https://103.247.182.125/msdigitalcc/treats/getLoyaltyId

Method POST

Response Code 200

Request Start Time Mar 17 2023 - 13:35:54

Duration 242ms

Request Header ***

Maybank-API-Key 729e742e-2bd7-4493-b25e-4dfbf61efc2a

Content-Type application/json; charset=utf-8

access_token Bearer 7c78e404-7062-49f7-b803-9ee6b660a089

Content-Length 4

longitude 101.786362

Accept-Language in

userId 3633

customerNo G000547364

latitude 3.060364

Authorization Bearer 7c78e404-7062-49f7-b803-9ee6b660a089

User-Agent iPhone;iPhone;iOS;4.06

signature 5faef56d9d8e9ba296ca88d41494d8d7a04301e85ed09f02adbee625da45e1cf

timestamp 2023-03-17T13:35:54.867+08:00

timezone Malaysia Time

sessionId 20230317123506132060

charset UTF-8

Accept application/json
Request Body ***  {

}

Response Header ***

Permissions-Policy accelerometer=(), ambient-light-sensor=(), autoplay=(), battery=(), camera=(), cross-origin-isolated=(), display-capture=(),

document-domain=(), encrypted-media=(), execution-while-not-rendered=(), execution-while-out-of-viewport=(), fullscreen=(), geolocation=(),

gyroscope=(), keyboard-map=(), magnetometer=(), microphone=(), midi=(), navigation-override=(), payment=(), picture-in-picture=(),

publickey-credentials-get=(), screen-wake-lock=(), sync-xhr=(), usb=(), web-share=(), xr-spatial-tracking=(), clipboard-read=(), clipboard-write=(),

gamepad=(), speaker-selection=(), conversion-measurement=(), focus-without-user-activation=(), hid=(), idle-detection=(), interest-cohort=(),

serial=(), sync-script=(), trust-token-redemption=(), window-placement=(), vertical-scroll=()

Content-Security-Policy default-src 'self', script-src 'self', style-src 'self', frame-ancestors 'none'

Pragma no-cache

Vary Origin, Access-Control-Request-Method, Access-Control-Request-Headers

X-Content-Type-Options nosniff

Expires 0

X-XSS-Protection 1; mode=block

Keep-Alive timeout=60

Date Fri, 17 Mar 2023 05:35:59 GMT

Referrer-Policy no-referrer

X-Frame-Options DENY

Transfer-Encoding Identity

Cache-Control no-cache, no-store, max-age=0, must-revalidate

Content-Type application/json

Response Body ***  {

"descErrorCode" : "System tidak berfungsi. Silakan coba kembali",

"descErrorCodeEN" : "System not available. Please try again",

"responseCode" : "99"

}

------------------------------------------------------------------------

------------------------------------------------------------------------

------------------------------------------------------------------------

#4 - 24 March 2023 10:42 AM - hsulynn pang

- File retest log.txt added

- File retest.png added

- Status changed from Resolved to Closed
tested ok

Files

transaction.txt 1.94 KB 16 March 2023 hsulynn pang

test error.png 422 KB 17 March 2023 hsulynn pang

retest log.txt 2.7 KB 24 March 2023 hsulynn pang

retest.png 444 KB 24 March 2023 hsulynn pang
